This is the mail archive of the cygwin-apps mailing list for the Cygwin project.

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Re: HEADSUP maintainers: Change in openssl package requires change in setup.hint

On Thu, 2010-06-24 at 11:36 +0200, Corinna Vinschen wrote:
> So, what we have to do is to convert *ALL* existing package dependencies
> from "openssl" to "libopenssl098".  I'm going to do this in the
> setup.hint files on, but, please do this in your local copy
> of your setup.hint files as well.
> As soon as I upgraded to openssl-1.0.0a-1, make sure that you keep your
> package dependencies in shape when building a new package.  That means
> to change from libopenssl098 to libopenssl100.

Do you know yet what the actual DLL names are going to be?  libkio
dlopen()s these instead of linking against them, so I want to fix these
for my next KDE release.

> However, isn't libcurl3 OBSOLETE, rather than ORPHANED?

You are correct; I fixed this in CVS.

>   apache2				ORPHANED (Max Bowsher)

This desperately needs to be ITA'd.  I have a version in Ports if anyone
who actually uses this wants to pick it up:

>   cyrus-sasl/libsasl2			ORPHANED (Gareth Pearce)
>   cyrus-sasl/libsasl2-devel		ORPHANED (Gareth Pearce)

As previously discussed, these actually use libopenssl097.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]